Package org.eclipse.rdf4j.sail.shacl.wrapper.shape

## Class RepositoryConnectionShapeSource

- java.lang.Object
- - org.eclipse.rdf4j.sail.shacl.wrapper.shape.RepositoryConnectionShapeSource

- All Implemented Interfaces:
    `AutoCloseable`, `ShapeSource`

      public class RepositoryConnectionShapeSource
      extends Object
      implements ShapeSource

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.rdf4j.sail.shacl.wrapper.shape.ShapeSource

      `ShapeSource.Predicates, ShapeSource.ShapesGraph`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.rdf4j.sail.shacl.wrapper.shape.ShapeSource

      `DASH_CONSTANTS`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RepositoryConnectionShapeSource​(RepositoryConnection connection)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `Resource[]` | `getActiveContexts()` |
    `Stream<ShapeSource.ShapesGraph>` | `getAllShapeContexts()` |
    `Stream<Statement>` | `getAllStatements​(Resource id)` |
    `Stream<Value>` | `getObjects​(Resource subject, ShapeSource.Predicates predicate)` |
    `Value` | `getRdfFirst​(Resource subject)` |
    `Resource` | `getRdfRest​(Resource subject)` |
    `Stream<Resource>` | `getSubjects​(ShapeSource.Predicates predicate)` |
    `Stream<Resource>` | `getTargetableShape()` |
    `boolean` | `isType​(Resource subject, IRI type)` |
    `RepositoryConnectionShapeSource` | `withContext​(Resource[] context)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositoryConnectionShapeSource

          public RepositoryConnectionShapeSource​(RepositoryConnection connection)

  - ### Method Detail

    - #### withContext

          public RepositoryConnectionShapeSource withContext​(Resource[] context)

      Specified by:
        `withContext` in interface `ShapeSource`

    - #### getActiveContexts

          public Resource[] getActiveContexts()

      Specified by:
        `getActiveContexts` in interface `ShapeSource`

    - #### getAllShapeContexts

          public Stream<ShapeSource.ShapesGraph> getAllShapeContexts()

      Specified by:
        `getAllShapeContexts` in interface `ShapeSource`

    - #### getTargetableShape

          public Stream<Resource> getTargetableShape()

      Specified by:
        `getTargetableShape` in interface `ShapeSource`

    - #### isType

          public boolean isType​(Resource subject,
                                IRI type)

      Specified by:
        `isType` in interface `ShapeSource`

    - #### getSubjects

          public Stream<Resource> getSubjects​(ShapeSource.Predicates predicate)

      Specified by:
        `getSubjects` in interface `ShapeSource`

    - #### getObjects

          public Stream<Value> getObjects​(Resource subject,
                                          ShapeSource.Predicates predicate)

      Specified by:
        `getObjects` in interface `ShapeSource`

    - #### getAllStatements

          public Stream<Statement> getAllStatements​(Resource id)

      Specified by:
        `getAllStatements` in interface `ShapeSource`

    - #### getRdfFirst

          public Value getRdfFirst​(Resource subject)

      Specified by:
        `getRdfFirst` in interface `ShapeSource`

    - #### getRdfRest

          public Resource getRdfRest​(Resource subject)

      Specified by:
        `getRdfRest` in interface `ShapeSource`

    - #### close

          public void close()

      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `ShapeSource`